import React from 'react';
import PropTypes from 'prop-types';
export declare class Pagination extends React.Component<any, any> {
    static PagingModes: {
        listing: string;
        pages: string;
    };
    static propTypes: {
        store: PropTypes.Validator<object>;
        availablePageSizes: PropTypes.Requireable<any[]>;
        defaultPageSize: PropTypes.Requireable<number>;
        beforeNavigate: PropTypes.Requireable<(...args: any[]) => any>;
        beforeDropdownChange: PropTypes.Requireable<(...args: any[]) => any>;
        onPageSizeChange: PropTypes.Requireable<(...args: any[]) => any>;
        onPageChange: PropTypes.Requireable<(...args: any[]) => any>;
    };
    static defaultProps: {
        availablePageSizes: number[];
        defaultPageSize: number;
        beforeNavigate: any;
        beforeDropdownChange: any;
        onPageSizeChange: any;
        onPageChange: any;
    };
    store: any;
    onStoreChange: any;
    unmounted: any;
    constructor(props: any);
    componentWillMount(): void;
    componentWillReceiveProps(nextProps: any): void;
    componentWillUnmount(): void;
    getOriginalState(): {
        itemsCount: any;
        activePage: any;
        pageSize: any;
    };
    navigate(page: any): void;
    dropdownChange({ value: pageSize, selectedIndex }: {
        value: any;
        selectedIndex: any;
    }): void;
    handleNavigate(activePage: any): void;
    handleChangePageSize: (value: any, selectedIndex: any) => void;
    handleChangePage: (page: any) => void;
    render(): JSX.Element;
}
